> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Billing Schedule Custom Field Keys

> List all distinct custom field keys across billing schedules for the current account.



## OpenAPI

````yaml billing.latest.product.live GET /billing-schedule-custom-field-keys
openapi: 3.0.0
info:
  title: Billing
  description: Manage Billing
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Billing Schedules
  - name: Discounts
  - name: Credits
  - name: Prices
paths:
  /billing-schedule-custom-field-keys:
    servers: []
    parameters: []
    get:
      tags:
        - Billing Schedules
      summary: List Billing Schedule Custom Field Keys
      description: >-
        List all distinct custom field keys across billing schedules for the
        current account.
      operationId: getBillingScheduleCustomFieldKeys
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListBillingScheduleCustomFieldKeysResponse
                example:
                  items:
                    - department
                    - region
              examples:
                ListBillingScheduleCustomFieldKeysResponse:
                  summary: ''
                  value:
                    items:
                      - department
                      - region
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListBillingScheduleCustomFieldKeysResponse:
      required:
        - items
      type: object
      example:
        items:
          - department
          - region
      properties:
        items:
          type: array
          description: Distinct custom field keys across all billing schedules
          example:
            - department
            - region
          items:
            type: string

````